Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.standard
Class CertifiedNodeIdFactory

    java.lang.Object
      rice.pastry.standard.CertifiedNodeIdFactory

All Implemented Interfaces:
  NodeIdFactory

    public class CertifiedNodeIdFactory

extends java.lang.Object
implements NodeIdFactory

Builds nodeIds in a certified manner, guaranteeing that a given node will always have the same nodeId. NOTE: Actual certification is not yet implemented, rather, using this factory simply guarantees that the node's nodeId will never change.

Version:
  $Id: CertifiedNodeIdFactory.java 3613 2007-02-15 14:45:14Z jstewart $
Author:
  Alan Mislove

Field Summary
`protected Environment` | `environment`
`protected Logger` | `logger`
`static java.lang.String` | `NODE_ID_FILENAME`
`protected int` | `port`
`protected IPNodeIdFactory` | `realFactory`

Constructor Summary
`CertifiedNodeIdFactory(java.net.InetAddress localIP, int port, Environment env)` Constructor.

Method Summary
`static void` | `generateCertificate(Id id, java.io.OutputStream os, java.security.PrivateKey key)` Method which generates a certificate given the nodeid, location, and private key
`Id` | `generateNodeId()` generate a nodeId
`static java.lang.String` | `getArg(java.lang.String[] args, java.lang.String argType)`
`static void` | `main(java.lang.String[] args)` Main method which, for convenience, allows certificate creation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NODE_ID_FILENAME

    public static java.lang.String NODE_ID_FILENAME

### port

    protected int port

### realFactory

    protected IPNodeIdFactory realFactory

### environment

    protected Environment environment

### logger

    protected Logger logger

Constructor Detail

### CertifiedNodeIdFactory

    public CertifiedNodeIdFactory(java.net.InetAddress localIP,
                                  int port,
                                  Environment env)

  Constructor.

Method Detail

### generateNodeId

    public Id generateNodeId()

  generate a nodeId

  Specified by:
    `generateNodeId` in interface `NodeIdFactory`
  Returns:
    the new nodeId

### generateCertificate

    public static void generateCertificate(Id id,
                                           java.io.OutputStream os,
                                           java.security.PrivateKey key)

  Method which generates a certificate given the nodeid, location, and private key

  Parameters:
    `id` - The id of the certificate to generate
    `file` - The location to write the certificate to
    `key` - The private key to use to sign the result

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Main method which, for convenience, allows certificate creation. The parameters allowed are -ca [file] -out [dir]

  Throws:
    `java.lang.Exception`

### getArg

    public static java.lang.String getArg(java.lang.String[] args,
                                          java.lang.String argType)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.